package modelo;

import java.util.ArrayList; 

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.6152FD4C-6D23-B415-B6AA-5E3083D32571]
// </editor-fold> 
public class DocumentoReq {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B5397BD3-C4F1-EAF8-6B24-D8DD6FA987FC]
    // </editor-fold> 
    private ArrayList<CasodeUso> mCasodeUso=new ArrayList();
    private ArrayList<PasoCU> mPasoCU=new ArrayList();
    private ArrayList<ExcepcionCU> mExcepcionCU=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.1D51ABF1-2DD9-82E3-126D-173DEB5FADBA]
    // </editor-fold> 
    public DocumentoReq () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A9A64C79-62B1-D6C4-FB8A-BCD4EF81E5C4]
    // </editor-fold> 
    public ArrayList<CasodeUso> getCasodeUso () {
        return mCasodeUso;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.53D39B7F-03CC-D44E-1C6A-CB6F6C02538E]
    // </editor-fold> 
    public void setCasodeUso (ArrayList<CasodeUso> val) {
        this.mCasodeUso = val;
    }

    public ArrayList<PasoCU> getPasoCU () {
        return mPasoCU;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.53D39B7F-03CC-D44E-1C6A-CB6F6C02538E]
    // </editor-fold>
    public void setPasoCU (ArrayList<PasoCU> val) {
        this.mPasoCU = val;
    }

    public ArrayList<ExcepcionCU> getExcepcion () {
        return mExcepcionCU;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.53D39B7F-03CC-D44E-1C6A-CB6F6C02538E]
    // </editor-fold>
    public void setExcepcion (ArrayList<ExcepcionCU> val) {
        this.mExcepcionCU = val;
    }
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.3DF3139E-17FC-1508-86A3-908C60405553]
    // </editor-fold> 
    public CasodeUso nuevoCU (String nombreCU, boolean esAbstracto,String eventoActivacion, int frecuencia, String unidadFrecuencia, String precondicion, String postcondicion) {

        //// Creo la instancia
        CasodeUso auxCU=new CasodeUso();
        //// Asigno los valores a los atributos
        auxCU.setNombre(nombreCU);
        auxCU.setEsAbstracto(esAbstracto);
        auxCU.setEventoActivacion(eventoActivacion);
        auxCU.setFrecuencia(frecuencia);
        auxCU.setUnidadFrecuencia(unidadFrecuencia);
        auxCU.setPrecondicion(precondicion);
        auxCU.setPostcondicion(postcondicion);
        //// Enlazo el CasodeUso a la lista de CU que tiene el documento
        this.getCasodeUso().add(auxCU);
        return auxCU;
    }


    public PasoCU nuevoPaso (boolean esCondicional, String Condicion, boolean accionSistema, boolean accionActor, boolean Inclusion_Extension, String Texto, int Rendimiento, int Unidad){

        PasoCU auxPaso=new PasoCU();

        auxPaso.setEsCondicional(esCondicional);
        auxPaso.setCondicion(Condicion);
        auxPaso.setAccionSistema(accionSistema);
        auxPaso.setAccionActor(accionActor);
        auxPaso.setInclusion_extension(Inclusion_Extension);
        auxPaso.setTexto(Texto);
        auxPaso.setRendimiento(Rendimiento);
        auxPaso.setUnidad(Unidad);
        //auxPaso.setNombreActor(nombreActor);
        //auxPaso.setNombreCU(nombreCU);
        
        this.getPasoCU().add(auxPaso);

    return auxPaso;
    }


    public ExcepcionCU nuevaExcepcion (){

        ExcepcionCU auxExcepcion=new ExcepcionCU();









        return auxExcepcion;
    }

}

